Last modified: 2014-09-19 18:50:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 67107 - Merge Mantle event emitter and OO.EventEmitter
Merge Mantle event emitter and OO.EventEmitter
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Mantle (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2014-06-26 00:35 UTC by Roan Kattouw
Modified: 2014-09-19 18:50 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Roan Kattouw 2014-06-26 00:35:41 UTC
Right now, Mantle's event emitter is just a wrapper around jQuery, and its API is an exact subset of OO.EventEmitter's API (apart from the naming of .one() vs .once()). I wrote some ugly code that replaces Mantle's EventEmitter with OO's, and the tests still run.

It would be nice if we could have Mantle use OO.EventEmitter, but this isn't entirely trivial to rig up because OOjs's and Mantle's OO models are different.
Comment 1 Gerrit Notification Bot 2014-09-10 20:30:11 UTC
Change 129336 had a related patch set uploaded by Jdlrobson:
Use Mantle version of Class, eventemitter and View

https://gerrit.wikimedia.org/r/129336
Comment 2 Gerrit Notification Bot 2014-09-19 18:39:28 UTC
Change 129336 merged by jenkins-bot:
Use Mantle version of Class, eventemitter and View

https://gerrit.wikimedia.org/r/129336

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links